////////////////////////////////////////////////////////////////////////////////
// Copyright  1992 Apple Computer, Inc. All rights reserved.				  //
////////////////////////////////////////////////////////////////////////////////

/* AEUserTerminology.h															*/
/* Conforms with Winter 1992 Apple Event Registry of December 19, 1992.			*/

#include "Types.r"		/* must come before AEUserTermTypes.r */
#include "AEUserTermTypes.r"
#include "AppleEvents.r"
#include "AEObjects.r"
#include "AERegistry.r"



resource 'aeut' (0, "Standard Event Suites for English", sysheap) {
	0x00,
	0x96,
	english,
	roman,
	{	/* array Suites: 6 elements */
		/* [1] */
		"Required Suite",
		"Events that every application should support",
		kAERequiredSuite,
		1,
		1,
		{	/* array Events: 3 elements */
			/* [1] */
			"run",
			"Sent to an application when it is double-clicked",
			kCoreEventClass,
			kAEOpenApplication,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved, reserved, reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			noParams,
			"No direct parameter required",
			directParamOptional,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [1] */
			"open",
			"Open the specified list of documents",
			kCoreEventClass,
			kAEOpenDocuments,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved, reserved, reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			typeAlias,
			"List of documents to open",
			directParamRequired,
			listOfItems,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [2] */
			"print",
			"Print the specified list of documents",
			kCoreEventClass,
			kAEPrintDocuments,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved, reserved, reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			typeAlias,
			"List of documents to print",
			directParamRequired,
			listOfItems,
			notEnumerated,
			doesntChangeState,
			reserved, reserved, reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [3] */
			"quit",
			"Quit application",
			kCoreEventClass,
			kAEQuitApplication,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved, reserved, reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			noParams,
			"No direct parameter required",
			directParamOptional,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			}
		},
		{	/* array Classes: 0 elements */
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 0 elements */
		},
		/* [2] */
		"Core Suite",
		"Suite that applies to all applications",
		kAECoreSuite,
		1,
		1,
		{	/* array Events: 16 elements */
			/* [1] */
			"duplicate",
			"Duplicate object(s)",
			kAECoreSuite,
			kAEClone,
			typeObjectSpecifier,
			"",
			replyRequired,
			singleItem,
			notEnumerated,
			reserved, reserved, reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"the object(s) to duplicate",
			directParamRequired,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 1 element */
				/* [1] */
				"to",
				keyAEInsertHere,
				typeInsertionLoc,
				"the new location for the object(s)",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved, reserved, reserved,
			},
			/* [2] */
			"close",
			"Close an object",
			kAECoreSuite,
			kAEClose,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved, reserved, reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"the object to close",
			directParamRequired,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 2 elements */
				/* [1] */
				"saving",
				keyAESaveOptions,
				enumSaveOptions,
				"Specifies whether or not changes should be saved before closing",
				optional,
				singleItem,
				enumerated,
				reserved,
				reserved, reserved, reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved, reserved, reserved,
				/* [2] */
				"saving in",
				keyAEFile,
				typeAlias,
				"the file in which to save the object",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved, reserved, reserved
			},
			/* [3] */
			"count elements",
			"Return the number of elements of a particular class within an object",
			kAECoreSuite,
			kAECountElements,
			typeLongInteger,
			"",
			replyRequired,
			singleItem,
			notEnumerated,
			reserved, reserved, reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"the object whose elements are to be counted",
			directParamRequired,
			singleItem,
			notEnumerated,
			doesntChangeState,
			reserved, reserved, reserved, reserved, reserved, reserved,
			reserved, reserved, reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 1 elements */
				/* [1] */
				"each",
				keyAEObjectClass,
				typeType,
				"the class of the elements to be counted",
				required,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved, reserved, reserved,
				reserved, reserved, reserved, reserved, reserved, reserved,
			},
			/* [4] */
			"create",
			"Create a new element",
			kAECoreSuite,
			kAECreateElement,
			typeObjectSpecifier,
			"",
			replyRequired,
			singleItem,
			notEnumerated,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			noParams,
			"",
			directParamOptional,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 4 elements */
				/* [1] */
				"new",
				keyAEObjectClass,
				typeType,
				"the class of the new element",
				required,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				/* [2] */
				"at",
				keyAEInsertHere,
				typeInsertionLoc,
				"the location at which to insert the element",
				required,		/*** Didn't we used to have a default for this? ***/
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				/* [3] */
				"with data",
				keyAEData,
				typeWildCard,
				"the initial data for the element",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				/* [4] */
				"with properties",
				keyAEPropData,
				typeAERecord,
				"the initial values for the properties of the element",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved
			},
			/* [5] */
			"delete",
			"Delete an element from an object",
			kAECoreSuite,
			kAEDelete,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"the element to delete",
			directParamRequired,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [6] */
			"exists",
			"Verify if an object exists",
			kAECoreSuite,
			kAEDoObjectsExist,
			typeBoolean,
			"",
			replyRequired,
			singleItem,
			notEnumerated,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"the object in question",
			directParamRequired,
			singleItem,
			notEnumerated,
			doesntChangeState,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [7] */
			"class info",
			"Get information about an object class",
			kAECoreSuite,
			kAEGetClassInfo,
			typeClassInfo,
			"",
			replyRequired,
			singleItem,
			notEnumerated,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			typeType,
			"the object class about which information is requested",
			directParamOptional,
			singleItem,
			notEnumerated,
			doesntChangeState,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 1 elements */
				/* [1] */
				"in",
				keyAEWritingCode,
				typeIntlWritingCode,
				"the human language and script system in which to return information",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			},
			/* [8] */
			"get",
			"Get the data for an object",
			kAECoreSuite,
			kAEGetData,
			typeWildCard,
			"",
			replyRequired,
			singleItem,
			notEnumerated,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"the object whose data is to be returned",
			directParamRequired,
			singleItem,
			notEnumerated,
			doesntChangeState,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 1 elements */
				/* [1] */
				"as",
				keyAERequestedType,
				typeType,
				"the desired types for the data, in order of preference",
				optional,
				listOfItems,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved
			},
			/* [9] */
			"data size",
			"Return the size in bytes of an object",
			kAECoreSuite,
			kAEGetDataSize,
			typeLongInteger,
			"",
			replyRequired,
			singleItem,
			notEnumerated,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"the object whose data size is to be returned",
			directParamRequired,
			singleItem,
			notEnumerated,
			doesntChangeState,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 1 elements */
				/* [1] */
				"as",
				keyAERequestedType,
				typeType,
				"the data type for which the size is calculated",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved
			},
			/* [10] */
			"event info",
			"Get information about the Apple events in a suite",
			kAECoreSuite,
			kAEGetEventInfo,
			typeEventInfo,
			"",
			replyRequired,
			listOfItems,
			notEnumerated,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			typeType,
			"the event class of the Apple events for which to return information",
			directParamRequired,
			singleItem,
			notEnumerated,
			doesntChangeState,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 1 elements */
				/* [1] */
				"in",
				keyAEWritingCode,
				typeIntlWritingCode,
				"the human language and script system in which to return information",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			},
			/* [11] */
			"move",
			"Move object(s) to a new location",
			kAECoreSuite,
			kAEMove,
			typeObjectSpecifier,
			"",
			replyRequired,
			singleItem,
			notEnumerated,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"the object(s) to move",
			directParamRequired,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 1 element */
				/* [1] */
				"to",
				keyAEInsertHere,
				typeInsertionLoc,
				"the new location for the object(s)",
				required,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			},
			/* [12] */
			"open",
			"Open object(s)",
			kCoreEventClass,
			kAEOpen,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"the object to open",
			directParamRequired,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [13] */
			"print",
			"Print object(s)",
			kCoreEventClass,
			kAEPrint,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"the object to print",
			directParamRequired,
			singleItem,
			notEnumerated,
			doesntChangeState,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
			},
			/* [14] */
			"quit",
			"Quit an application program",
			kCoreEventClass,
			kAEQuitApplication,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			noParams,
			"",
			directParamOptional,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 0 elements */
				/* [1] */
				"saving",
				keyAESaveOptions,
				enumSaveOptions,
				"Specifies whether or not to save currently open documents",
				optional,
				singleItem,
				enumerated,
				reserved,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved
			},
			/* [15] */
			"save",
			"Save an object",
			kAECoreSuite,
			kAESave,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"the object to save",
			directParamRequired,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 2 elements */
				/* [1] */
				"in",
				keyAEFile,
				typeAlias,
				"the file in which to save the object",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				/* [2] */
				"as",
				keyAEFileType,
				typeType,
				"the file type of the document in which to save the data",
				optional,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved
			},
			/* [16] */
			"set",
			"Set an object's data",
			kAECoreSuite,
			kAESetData,
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			typeObjectSpecifier,
			"the object to change",
			directParamRequired,
			singleItem,
			notEnumerated,
			changesState,
			reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			{	/* array OtherParams: 2 elements */
				/* [1] */
				"to",
				keyAEData,
				typeWildCard,
				"the new value",
				required,
				singleItem,
				notEnumerated,
				reserved,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
			},
		},
		{	/* array Classes: 7 elements */
			/* [1] */
			"application",
			cApplication,
			"An application program",
			{	/* array Properties: 9 elements */
				/* [1] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [2] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [3] */
				"clipboard",
				pClipboard,
				typeWildCard,
				"the clipboard",
				reserved,
				listOfItems,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [5] */
				"frontmost",
				pIsFrontProcess,
				cBoolean,
				"Is this the frontmost application?",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [6] */
				"name",
				pName,
				cIntlText,
				"the name",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [7] */
				"selection",
				pSelection,
				cSelection,
				"the selection visible to the user",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [8] */
				"version",
				pVersion,
				cVersion,
				"the version number of the application",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 2 elements */
				/* [1] */
				cDocument,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [2] */
				cWindow,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
			},
			"applications",
			cApplication,
			"Every application",
			{	/* array Properties: 1 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [2] */
			"character",
			cChar,
			"A character",
			{	/* array Properties: 9 elements */
				/* [] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				/* [] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				/* [3] */
				"color",
				pColor,
				cRGBColor,
				"the color",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [5] */
				"font",
				pFont,
				cText,
				"the name of the font",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [6] */
				"size",
				pPointSize,
				cFixed,
				"the size in points",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [7] */
				"writing code",
				pScriptTag,
				cIntlWritingCode,
				"the script system and language",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [8] */
				"style",
				pTextStyles,
				cTextStyles,
				"the text style",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [9] */
				"uniform styles",
				pUniformStyles,
				cTextStyles,
				"the text style",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 2 elements */
				/* [1] */
				cChar,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				cText,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				}
			},
			"characters",
			cChar,
			"Every character",
			{	/* array Properties: 1 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [3] */
			"document",
			cDocument,
			"A document",
			{	/* array Properties: 6 elements */
				/* [1] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [2] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [3] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [4] */
				"modified",
				pIsModified,
				cBoolean,
				"Has the document been modified since the last save?",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [5] */
				"name",
				pName,
				cIntlText,
				"the name",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [6] */
				"selection",
				pSelection,
				cSelection,
				"the selection visible to the user",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 1 elements */
				/* [1] */
				cFile,
				{	/* array KeyForms: 2 element */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
			},
			"documents",
			cDocument,
			"Every document",
			{	/* array Properties: 1 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [4] */
			"file",
			cFile,
			"A file",
			{	/* array Properties: 5 elements */
				/* [] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [4] */
				"stationery",
				pIsStationeryPad,
				cBoolean,
				"Is the file a stationery file?",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [] */
				"name",
				pName,
				cIntlText,
				"the name",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 0 elements */
			},
			"files",
			cFile,
			"Every file",
			{	/* array Properties: 1 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
/* this class is only here so we can define the contents property properly */
/* I put the  in it so the name will not conflict in scripts. */
			/* [5] */
			"selectableobject",
			cSelection,
			"the selection visible to the user",
			{	/* array Properties: 1 elements */
				/* [1] */
				"contents",
				pContents,
				cType,
				"the contents of the selection",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 1 elements */
			},
			/* [6] */
			"text",
			cText,
			"Text",
			{	/* array Properties: 9 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural,
				/* [] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [] */
				"color",
				pColor,
				cRGBColor,
				"the color of the first character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [5] */
				"font",
				pFont,
				cText,
				"the name of the font of the first character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [] */
				"size",
				pPointSize,
				cFixed,
				"the size in points of the first character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [] */
				"writing code",
				pScriptTag,
				cIntlWritingCode,
				"the script system and language",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [] */
				"style",
				pTextStyles,
				cTextStyles,
				"the text style of the first character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [] */
				"uniform styles",
				pUniformStyles,
				cTextStyles,
				"the text styles that are uniform throughout the text",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 2 elements */
				/* [1] */
				cChar,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				cText,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				}
			},
			/* [7] */
			"window",
			cWindow,
			"A window",
			{	/* array Properties: 15 elements */
				/* [] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [3] */
				"bounds",
				pBounds,
				cQDRectangle,
				"the boundary rectangle for the window",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [5] */
				"closeable",
				pHasCloseBox,
				cBoolean,
				"Does the window have a close box?",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [6] */
				"titled",
				pHasTitleBar,
				cBoolean,
				"Does the window have a title bar?",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [7] */
				"index",
				pIndex,
				cLongInteger,
				"the number of the window",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [8] */
				"floating",
				pIsFloating,
				cBoolean,
				"Does the window float?",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [9] */
				"modal",
				pIsModal,
				cBoolean,
				"Is the window modal?",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [10] */
				"resizable",
				pIsResizable,
				cBoolean,
				"Is the window resizable?",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [11] */
				"zoomable",
				pIsZoomable,
				cBoolean,
				"Is the window zoomable?",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [12] */
				"zoomed",
				pIsZoomed,
				cBoolean,
				"Is the window zoomed?",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [] */
				"name",
				pName,
				cIntlText,
				"the title of the window",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [14] */
				"selection",
				pSelection,
				cSelection,
				"the selection visible to the user",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [15] */
				"visible",
				pVisible,
				cBoolean,
				"Is the window visible?",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 1 elements */
				/* [1] */
				cDocument,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				}
			},
			"windows",
			cWindow,
			"Every window",
			{	/* array Properties: 1 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [7] */
			"insertion point",
			cInsertionPoint,
			"An insertion location between two objects",
			{	/* array Properties: 15 elements */
				/* [] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 1 elements */
			},
			"insertion points",
			cInsertionPoint,
			"Every insertion location",
			{	/* array Properties: 1 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
		},
		{	/* array ComparisonOps: 8 elements */
			/* [1] */
			"starts with",
			kAEBeginsWith,
			"Starts with",
			/* [2] */
			"contains",
			kAEContains,
			"Contains",
			/* [3] */
			"ends with",
			kAEEndsWith,
			"Ends with",
			/* [4] */
			"=",
			kAEEquals,
			"Equal",
			/* [5] */
			">",
			kAEGreaterThan,
			"Greater than",
			/* [6] */
			"",
			kAEGreaterThanEquals,
			"Greater than or equal to",
			/* [7] */
			"<",
			kAELessThan,
			"Less than",
			/* [8] */
			"",
			kAELessThanEquals,
			"Less than or equal to",
		},
		{	/* array Enumerations: 4 elements */
			/* [1] */
			enumSaveOptions,
			{	/* array Enumerators: 3 elements */
				/* [1] */
				"yes",
				kAEYes,
				"Save objects now",
				/* [2] */
				"no",
				kAENo ,
				"Do not save objects",
				/* [3] */
				"ask",
				kAEAsk ,
				"Ask the user whether to save",
			},
			/* [3] */	
			enumKeyForm,
			{	/* array Enumerators: 3 elements */
				/* [1] */
				"index",
				formAbsolutePosition,
				"keyform designating indexed access",
				/* [2] */
				"named",
				formName,
				"keyform designating named access",
				/* [3] */
				"ID",
				formUniqueID,
				"keyform designating identifer access"
			},

		},
		/* [3] */
		"Text Suite",
		"A set of basic classes for text processing",
		kAETextSuite,
		1,
		1,
		{	/* array Events: 0 elements */
		},
		{	/* array Classes: 0 elements */
			/* [2] */
			"character",
			cChar,
			"A character",
			{	/* array Properties: 9 elements */
				/* [1] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [2] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [3] */
				"color",
				pColor,
				cRGBColor,
				"the color",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [5] */
				"font",
				pFont,
				cText,
				"the name of the font",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [6] */
				"size",
				pPointSize,
				cFixed,
				"the size in points",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [7] */
				"writing code",
				pScriptTag,
				cIntlWritingCode,
				"the script system and language",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [8] */
				"style",
				pTextStyles,
				cTextStyles,
				"the text style",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [9] */
				"uniform styles",
				pUniformStyles,
				cTextStyles,
				"the text style",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 5 elements */
				/* [1] */
				cChar,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				cLine,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [3] */
				cParagraph,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [4] */
				cText,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition,
				},
				/* [5] */
				cWord,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
			},
			/* [2] */
			"line",
			cLine,
			"A line of text",
			{	/* array Properties: 10 elements */
				/* [1] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [2] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [3] */
				"color",
				pColor,
				cRGBColor,
				"the color of the first character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [5] */
				"font",
				pFont,
				cText,
				"the name of the font of the first character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [6] */
				"justification",
				pJustification,
				enumJustification,
				"Justification of the text",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [7] */
				"size",
				pPointSize,
				cFixed,
				"the size in points of the first character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [8] */
				"writing code",
				pScriptTag,
				cIntlWritingCode,
				"the script system and language of the first character",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [9] */
				"style",
				pTextStyles,
				cTextStyles,
				"the text style of the first character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [10] */
				"uniform styles",
				pUniformStyles,
				cTextStyles,
				"the text styles that are uniform throughout the line",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 5 elements */
				/* [1] */
				cChar,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				cLine,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [3] */
				cParagraph,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [4] */
				cText,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [5] */
				cWord,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
			},
			"lines",
			cLine,
			"Every line",
			{	/* array Properties: 1 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [3] */
			"paragraph",
			cParagraph,
			"A paragraph",
			{	/* array Properties: 10 elements */
				/* [1] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [2] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [3] */
				"color",
				pColor,
				cRGBColor,
				"the color of the first character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [5] */
				"font",
				pFont,
				cText,
				"the name of the font of the first character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [6] */
				"justification",
				pJustification,
				enumJustification,
				"Justification of the text",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [7] */
				"size",
				pPointSize,
				cFixed,
				"the size in points of the first character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [8] */
				"writing code",
				pScriptTag,
				cIntlWritingCode,
				"the script system and language",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [9] */
				"style",
				pTextStyles,
				cTextStyles,
				"the text style of the first character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [10] */
				"uniform styles",
				pUniformStyles,
				cTextStyles,
				"the text styles that are uniform throughout the paragraph",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 5 elements */
				/* [1] */
				cChar,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				cLine,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [3] */
				cParagraph,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [4] */
				cText,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [5] */
				cWord,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
			},
			"paragraphs",
			cParagraph,
			"Every paragraph",
			{	/* array Properties: 1 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [4] */
			"text",
			cText,
			"Text",
			{	/* array Properties: 9 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural,
				/* [1] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [2] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [3] */
				"color",
				pColor,
				cRGBColor,
				"the color of the first character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [5] */
				"font",
				pFont,
				cText,
				"the name of the font of the first character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [6] */
				"size",
				pPointSize,
				cFixed,
				"the size in points of the first character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [7] */
				"writing code",
				pScriptTag,
				cIntlWritingCode,
				"the script system and language",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [8] */
				"style",
				pTextStyles,
				cTextStyles,
				"the text style of the first character of the first character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [9] */
				"uniform styles",
				pUniformStyles,
				cTextStyles,
				"the text styles that are uniform throughout the text",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 5 elements */
				/* [1] */
				cChar,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				cLine,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [3] */
				cParagraph,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [4] */
				cText,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [5] */
				cWord,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
			},
			/* [5] */
			"text flow",
			cTextFlow,
			"A contiguous block of text",
			{	/* array Properties: 11 elements */
				/* [1] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [2] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [3] */
				"color",
				pColor,
				cRGBColor,
				"the color of the first character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [5] */
				"font",
				pFont,
				cText,
				"the name of the font of the first character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [6] */
				"justification",
				pJustification,
				enumJustification,
				"Justification of the text",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [7] */
				"size",
				pPointSize,
				cFixed,
				"the size in points of the first character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [8] */
				"name",
				pName,
				cIntlText,
				"the name",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [9] */
				"writing code",
				pScriptTag,
				cIntlWritingCode,
				"the script system and language",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [10] */
				"style",
				pTextStyles,
				cTextStyles,
				"the text style of the first character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [11] */
				"uniform styles",
				pUniformStyles,
				cTextStyles,
				"the text styles that are uniform throughout the text",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 5 elements */
				/* [1] */
				cChar,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				cLine,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [3] */
				cParagraph,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [4] */
				cText,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [5] */
				cWord,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
			},
			"text flows",
			cTextFlow,
			"Every text flow",
			{	/* array Properties: 1 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [6] */
			"word",
			cWord,
			"A word",
			{	/* array Properties: 9 elements */
				/* [1] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [2] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [3] */
				"color",
				pColor,
				cRGBColor,
				"the color of the first character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [5] */
				"font",
				pFont,
				cText,
				"the name of the font of the first character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [6] */
				"size",
				pPointSize,
				cFixed,
				"the size in points of the first character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [7] */
				"writing code",
				pScriptTag,
				cIntlWritingCode,
				"the script system and language",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [8] */
				"style",
				pTextStyles,
				cTextStyles,
				"the text style of the first character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [9] */
				"uniform styles",
				pUniformStyles,
				cTextStyles,
				"the text styles that are uniform throughout the word",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 5 elements */
				/* [1] */
				cChar,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				cLine,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [3] */
				cParagraph,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [4] */
				cText,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [5] */
				cWord,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
			},
			"words",
			cWord,
			"Every word",
			{	/* array Properties: 1 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 1 elements */
			/* [1] */
			enumJustification,
			{	/* array Enumerators: 4 elements */
				/* [1] */
				"left",
				kAELeftJustified,
				"Align with left margin",
				/* [2] */
				"right",
				kAERightJustified,
				"Align with right margin",
				/* [3] */
				"center",
				kAECentered,
				"Align with center",
				/* [4] */
				"full",
				kAEFullyJustified,
				"Align with both left and right margins"
			},
		},
		/* [4] */
		"QuickDraw Graphics Suite",
		"A set of basic classes for graphics",
		kAEQuickDrawSuite,
		1,
		1,
		{	/* array Events: 0 elements */
		},
		{	/* array Classes: 13 elements */
			/* [1] */
			"arc",
			cArc,
			"An arc",
			{	/* array Properties: 13 elements */
				/* [1] */
				"arc angle",
				pArcAngle,
				cFixed,
				"Angle of the arc in degrees",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [2] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [3] */
				"bounds",
				pBounds,
				cQDRectangle,
				"the smallest rectangle that contains the entire arc",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [4] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [5] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [6] */
				"definition rect",
				pDefinitionRect,
				cQDRectangle,
				"the rectangle that contains the circle or oval used to define the arc",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [7] */
				"fill color",
				pFillColor,
				cRGBColor,
				"the fill color",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [8] */
				"fill pattern",
				pFillPattern,
				cPixelMap,
				"the fill pattern",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [9] */
				"pen color",
				pPenColor,
				cRGBColor,
				"the pen color",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [10] */
				"pen pattern",
				pPenPattern,
				cPixelMap,
				"the pen pattern",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [11] */
				"pen width",
				pPenWidth,
				cShortInteger,
				"the pen width",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [12] */
				"start angle",
				pStartAngle,
				cFixed,
				"the angle that defines the start of the arc, in degrees",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [13] */
				"transfer mode",
				pTransferMode,
				enumTransferMode,		/*** Should this be defined as an enumeration in the suite? ***/
				"the transfer mode",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 0 elements */
			},
			"arcs",
			cArc,
			"Every arc",
			{	/* array Properties: 1 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [2] */
			"drawing area",
			cDrawingArea,
			"Container for graphics and supporting information",
			{	/* array Properties: 23 elements */
				/* [1] */
				"background color",
				pBackgroundColor,
				cRGBColor,
				"the color used to fill in unoccupied areas",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [2] */
				"background pattern",
				pBackgroundPattern,
				cPixelMap,
				"the pattern used to fill in unoccupied areas",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [3] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [4] */
				"bounds",
				pBounds,
				cQDRectangle,
				"the rectangle that contains the drawing area",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [5] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [6] */
				"color table",
				pColorTable,
				cColorTable,
				"the color table",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [7] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [8] */
				"fill color",
				pFillColor,
				cRGBColor,
				"the default fill color used for graphic objects",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [9] */
				"fill pattern",
				pFillPattern,
				cPixelMap,
				"the default fill pattern used for graphic objects",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [10] */
				"ordering",
				pGraphicObjects,
				typeObjectSpecifier,
				"the ordered list of graphic objects in the drawing area",
				reserved,
				listOfItems,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [11] */
				"name",
				pName,
				cIntlText,
				"the name",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [12] */
				"default location",
				pNewElementLoc,
				cQDPoint,
				"the default location of each new graphic object",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [13] */
				"pen color",
				pPenColor,
				cRGBColor,
				"the pen color",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [14] */
				"pen pattern",
				pPenPattern,
				cPixelMap,
				"the pen pattern",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [15] */
				"pen width",
				pPenWidth,
				cShortInteger,
				"the pen width",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [16] */
				"pixel depth",
				pPixelDepth,
				cShortInteger,
				"Bits per pixel",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [17] */
				"writing code",
				pScriptTag,
				cIntlWritingCode,
				"the script system and language of text objects in the drawing area",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,		/*** Registry has this as modifiable ***/	
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [18] */
				"text color",
				pTextColor,
				cRGBColor,
				"the default color for text objects",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [19] */
				"default font",
				pTextFont,
				cIntlText,
				"the name of the default font for text objects",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [20] */
				"default size",
				pTextPointSize,
				cFixed,
				"the default size for text objects",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [21] */
				"style",
				pTextStyles,
				cTextStyles,
				"the default text style for text objects",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [22] */
				"transfer mode",
				pTransferMode,
				enumTransferMode,
				"the default transfer mode for graphic objects",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [23] */
				"update on change",
				pUpdateOn,
				cBoolean,
				"Redraw after each change?",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 10 elements */
				/* [1] */
				cArc,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [2] */
				cGraphicLine,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [3] */
				cGraphicText,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [4] */
				cGroupedGraphic,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [5] */
				cOval,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [6] */
				cPixelMap,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [7] */
				cPolygon,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [8] */
				cRectangle,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [9] */
				cRoundedRectangle,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [10] */			/*** The Registry left this out this time. ***/
				cGraphicObject,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
			},
			"drawing areas",
			cDrawingArea,
			"Every drawing area",
			{	/* array Properties: 1 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [3] */
			"graphic line",
			cGraphicLine,
			"A graphic line",
			{	/* array Properties: 12 elements */
				/* [1] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [2] */
				"bounds",
				pBounds,
				cQDRectangle,
				"the smallest rectangle that contains the entire graphic object",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [3] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [4] */
				"dash style",
				pDashStyle,
				typeDashStyle,
				"the dash style",
				reserved,
				listOfItems,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [5] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [6] */
				"end point",
				pEndPoint,
				cQDPoint,
				"the ending point of the line",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [7] */
				"arrow style",
				pLineArrow,
				enumArrows,
				"the arrow style",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [8] */
				"pen color",
				pPenColor,
				cRGBColor,
				"the pen color",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [9] */
				"pen pattern",
				pPenPattern,
				cPixelMap,
				"the pen pattern",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [10] */
				"pen width",
				pPenWidth,
				cShortInteger,
				"the pen width",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [11] */
				"start point",
				pStartPoint,
				cQDPoint,
				"the starting point of the line",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [12] */
				"transfer mode",
				pTransferMode,
				enumTransferMode,
				"the transfer mode",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 0 elements */
			},
			"graphic lines",
			cGraphicLine,
			"Every graphic line",
			{	/* array Properties: 1 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [4] */
			"graphic object",
			cGraphicObject,
			"A graphic object",
			{	/* array Properties: 5 elements */
				/* [1] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [2] */
				"bounds",
				pBounds,
				cQDRectangle,
				"the smallest rectangle that contains the entire graphic object",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [3] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [5] */
				"transfer mode",
				pTransferMode,
				enumTransferMode,
				"the transfer mode",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 0 elements */
			},
			"graphic objects",
			cGraphicObject,
			"Every graphic object",
			{	/* array Properties: 1 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [5] */
			"graphic shape",
			cGraphicShape,
			"A graphic shape",
			{	/* array Properties: 11 elements */
				/* [1] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [2] */
				"bounds",
				pBounds,
				cQDRectangle,
				"the smallest rectangle that contains the entire shape",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [3] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [5] */
				"definition rect",
				pDefinitionRect,
				cQDRectangle,
				"the rectangle used to define the shape",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [6] */
				"fill color",
				pFillColor,
				cRGBColor,
				"the fill color",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [7] */
				"fill pattern",
				pFillPattern,
				cPixelMap,
				"the fill pattern",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [8] */
				"pen color",
				pPenColor,
				cRGBColor,
				"the pen color",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [9] */
				"pen pattern",
				pPenPattern,
				cPixelMap,
				"the pen pattern",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [10] */
				"pen width",
				pPenWidth,
				cShortInteger,
				"the pen width",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [11] */
				"transfer mode",
				pTransferMode,
				enumTransferMode,
				"the transfer mode",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 0 elements */
			},
			"graphic shapes",
			cGraphicShape,
			"Every graphic shape",
			{	/* array Properties: 1 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [6] */
			"graphic text",
			cGraphicText,
			"A series of characters within a drawing area",
			{	/* array Properties: 12 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural,
				/* [2] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [3] */
				"bounds",
				pBounds,
				cQDRectangle,
				"the smallest rectangle that contains the entire text",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [4] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [5] */
				"color",
				pColor,
				cRGBColor,
				"the color of the first character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [6] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [7] */
				"font",
				pFont,
				cText,
				"the name of the font of the first character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [8] */
				"size",
				pPointSize,
				cFixed,
				"the size in points of the first character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [9] */
				"writing code",
				pScriptTag,
				cIntlWritingCode,
				"the script system and language",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [10] */
				"style",
				pTextStyles,
				cTextStyles,
				"the text style of the first character",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [11] */
				"transfer mode",
				pTransferMode,
				enumTransferMode,
				"the transfer mode",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [12] */
				"uniform styles",
				pUniformStyles,
				cTextStyles,
				"the text styles that are uniform throughout the text",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 2 elements */
				/* [1] */
				cChar,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				},
				/* [2] */
				cText,
				{	/* array KeyForms: 1 element */
					/* [1] */
					formAbsolutePosition
				}
			},
			/* [7] */
			"graphic group",
			cGroupedGraphic,
			"Group of graphics",
			{	/* array Properties: 7 elements */
				/* [1] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [2] */
				"bounds",
				pBounds,
				cQDRectangle,
				"the smallest rectangle that contains the entire graphic object",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [3] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [5] */
				"ordering",
				pGraphicObjects,
				typeObjectSpecifier,
				"the ordered list of graphic objects in the drawing area",
				reserved,
				listOfItems,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [6] */
				"name",
				pName,
				cIntlText,
				"the name",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [7] */
				"transfer mode",
				pTransferMode,
				enumTransferMode,
				"the transfer mode",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 10 elements */
				/* [1] */
				cArc,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [2] */
				cGraphicLine,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [3] */
				cGraphicText,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [4] */
				cGroupedGraphic,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [5] */
				cOval,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [6] */
				cPixelMap,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [7] */
				cPolygon,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [8] */
				cRectangle,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [9] */
				cRoundedRectangle,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [10] */
				cGraphicObject,			/*** The Registry left this out this time. ***/
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				}
			},
			"graphic groups",
			cGroupedGraphic,
			"Every group of graphics",
			{	/* array Properties: 1 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [8] */
			"oval",
			cOval,
			"An oval",
			{	/* array Properties: 11 elements */
				/* [1] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [2] */
				"bounds",
				pBounds,
				cQDRectangle,
				"the smallest rectangle that contains the entire oval",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [3] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [5] */
				"definition rect",
				pDefinitionRect,
				cQDRectangle,
				"the rectangle used to define the oval",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [6] */
				"fill color",
				pFillColor,
				cRGBColor,
				"the fill color",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [7] */
				"fill pattern",
				pFillPattern,
				cPixelMap,
				"the fill pattern",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [8] */
				"pen color",
				pPenColor,
				cRGBColor,
				"the pen color",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [9] */
				"pen pattern",
				pPenPattern,
				cPixelMap,
				"the pen pattern",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [10] */
				"pen width",
				pPenWidth,
				cShortInteger,
				"the pen width",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [11] */
				"transfer mode",
				pTransferMode,
				enumTransferMode,
				"the transfer mode",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 0 elements */
			},
			"ovals",
			cOval,
			"Every oval",
			{	/* array Properties: 1 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [9] */
			"pixel",
			cPixel,
			"A pixel",
			{	/* array Properties: 4 elements */
				/* [1] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [2] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [3] */
				"color",
				pColor,
				cRGBColor,
				"the color",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 0 elements */
			},
			"pixels",
			cPixel,
			"Every pixel",
			{	/* array Properties: 1 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [10] */
			"pixel map",
			cPixelMap,
			"A pixel map",
			{	/* array Properties: 5 elements */
				/* [1] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [2] */
				"bounds",
				pBounds,
				cQDRectangle,
				"the smallest rectangle that contains the pixel map",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [3] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [5] */
				"transfer mode",
				pTransferMode,
				enumTransferMode,
				"the transfer mode",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 1 elements */
				/* [1] */
				cPixel,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
				}
			},
			"pixel maps",
			cPixelMap,
			"Every pixel map",
			{	/* array Properties: 1 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [11] */
			"polygon",
			cPolygon,
			"A polygon",
			{	/* array Properties: 12 elements */
				/* [1] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [2] */
				"bounds",
				pBounds,
				cQDRectangle,
				"the smallest rectangle that contains the entire polygon",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [3] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [5] */
				"definition rect",
				pDefinitionRect,
				cQDRectangle,
				"the rectangle used to define the polygon",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [6] */
				"fill color",
				pFillColor,
				cRGBColor,
				"the fill color",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [7] */
				"fill pattern",
				pFillPattern,
				cPixelMap,
				"the fill pattern",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [8] */
				"pen color",
				pPenColor,
				cRGBColor,
				"the pen color",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [9] */
				"pen pattern",
				pPenPattern,
				cPixelMap,
				"the pen pattern",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [10] */
				"pen width",
				pPenWidth,
				cShortInteger,
				"the pen width",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [11] */
				"point list",
				pPointList,
				typeQDPoint,
				"the list of points that define the polygon",
				reserved,
				listOfItems,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [12] */
				"transfer mode",
				pTransferMode,
				enumTransferMode,
				"the transfer mode",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 0 elements */
			},
			"polygons",
			cPolygon,
			"Every polygon",
			{	/* array Properties: 1 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [12] */
			"rectangle",
			cRectangle,
			"A rectangle",
			{	/* array Properties: 11 elements */
				/* [1] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [2] */
				"bounds",
				pBounds,
				cQDRectangle,
				"the rectangle",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [3] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [5] */
				"definition rect",
				pDefinitionRect,
				cQDRectangle,
				"the upper-left and lower-right points that define the rectangle",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [6] */
				"fill color",
				pFillColor,
				cRGBColor,
				"the fill color",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [7] */
				"fill pattern",
				pFillPattern,
				cPixelMap,
				"the fill pattern",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [8] */
				"pen color",
				pPenColor,
				cRGBColor,
				"the pen color",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [9] */
				"pen pattern",
				pPenPattern,
				cPixelMap,
				"the pen pattern",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [10] */
				"pen width",
				pPenWidth,
				cShortInteger,
				"the pen width",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [11] */
				"transfer mode",
				pTransferMode,
				enumTransferMode,
				"the transfer mode",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 0 elements */
			},
			"rectangles",
			cRectangle,
			"Every rectangle",
			{	/* array Properties: 1 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [13] */
			"rounded rectangle",
			cRoundedRectangle,
			"A rounded rectangle",
			{	/* array Properties: 13 elements */
				/* [1] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [2] */
				"bounds",
				pBounds,
				cQDRectangle,
				"the rectangle",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [3] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [4] */
				"corner curve height",
				pCornerCurveHeight,
				cShortInteger,
				"the height of the oval used to define the shape of the rounded corners",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [5] */
				"corner curve width",
				pCornerCurveWidth,
				cShortInteger,
				"the width of the oval used to define the shape of the rounded corners",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [6] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [7] */
				"definition rect",
				pDefinitionRect,
				cQDRectangle,
				"the upper-left and lower-right points that define the rectangle",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [8] */
				"fill color",
				pFillColor,
				cRGBColor,
				"the fill color",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [9] */
				"fill pattern",
				pFillPattern,
				cPixelMap,
				"the fill pattern",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [10] */
				"pen color",
				pPenColor,
				cRGBColor,
				"the pen color",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [11] */
				"pen pattern",
				pPenPattern,
				cPixelMap,
				"the pen pattern",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [12] */
				"pen width",
				pPenWidth,
				cShortInteger,
				"the pen width",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [13] */
				"transfer mode",
				pTransferMode,
				enumTransferMode,
				"the transfer mode",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 0 elements */
			},
			"rounded rectangles",
			cRoundedRectangle,
			"Every rounded rectangle",
			{	/* array Properties: 1 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 2 elements */
			/* [1] */
			enumTransferMode,
			{	/* array Enumerators: 3 elements */
				/* [1] */
				"copy pixels",
				kAEQDCopy,
				"",
				/* [2] */
				"not copy pixels",
				kAEQDNotCopy,
				"",
				/* [3] */
				"or pixels",
				kAEQDOr,
				"",
				/* [4] */
				"not or pixels",
				kAEQDNotOr,
				"",
				/* [5] */
				"bic pixels",
				kAEQDBic,
				"",
				/* [6] */
				"not bic pixels",
				kAEQDNotBic,
				"",
				/* [7] */
				"xor pixels",
				kAEQDXor,
				"",
				/* [8] */
				"not xor pixels",
				kAEQDNotXor,
				"",
				/* [9] */
				"add over pixels",
				kAEQDAddOver,
				"",
				/* [10] */
				"add pin pixels",
				kAEQDAddPin,
				"",
				/* [11] */
				"sub over pixels",
				kAEQDSubOver,
				"",
				/* [12] */
				"sub pin pixels",
				kAEQDSubPin,
				"",
				/* [13] */
				"ad max pixels",
				kAEQDAdMax,
				"",
				/* [14] */
				"ad min pixels",
				kAEQDAdMin,
				"",
				/* [15] */
				"blend pixels",
				kAEQDBlend,
				"",
			},
			/* [2] */
			enumArrows,
			{	/* array Enumerators: 4 elements */
				/* [1] */
				"no arrow",
				kAENoArrow ,
				"No arrow on line",
				/* [2] */
				"arrow at start",
				kAEArrowAtStart ,
				"Arrow at start of line",
				/* [3] */
				"arrow at end",
				kAEArrowAtEnd ,
				"Arrow at end of line",
				/* [4] */
				"arrow at both ends",
				kAEArrowBothEnds ,
				"Arrow at both the start and the end of the line"
			}
		},
		/* [5] */
		"QuickDraw Graphics Supplemental Suite",
		"Defines transformations of graphic objects",
		kAEQDSupplementalSuite,
		1,
		1,
		{	/* array Events: 0 elements */
		},
		{	/* array Classes: 2 elements */
			/* [1] */
			"drawing area",
			cDrawingArea,
			"Container for graphics and supporting information",
			{	/* array Properties: 26 elements */
				/* [1] */
				"background color",
				pBackgroundColor,
				cRGBColor,
				"the color used to fill in unoccupied areas",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [2] */
				"background pattern",
				pBackgroundPattern,
				cPixelMap,
				"the pattern used to fill in unoccupied areas",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [3] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [4] */
				"bounds",
				pBounds,
				cQDRectangle,
				"the rectangle that contains the drawing area",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [5] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [6] */
				"color table",
				pColorTable,
				cColorTable,
				"the color table",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [7] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [8] */
				"fill color",
				pFillColor,
				cRGBColor,
				"the default fill color used for graphic objects",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [9] */
				"fill pattern",
				pFillPattern,
				cPixelMap,
				"the default fill pattern used for graphic objects",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [10] */
				"ordering",
				pGraphicObjects,
				typeObjectSpecifier,
				"the ordered list of graphic objects in the drawing area",
				reserved,
				listOfItems,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [11] */
				"name",
				pName,
				cIntlText,
				"the name",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [12] */
				"default location",
				pNewElementLoc,
				cQDPoint,
				"the default location of each new graphic object",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [13] */
				"pen color",
				pPenColor,
				cRGBColor,
				"the pen color",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [14] */
				"pen pattern",
				pPenPattern,
				cPixelMap,
				"the pen pattern",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [15] */
				"pen width",
				pPenWidth,
				cShortInteger,
				"the pen width",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [16] */
				"pixel depth",
				pPixelDepth,
				cShortInteger,
				"Bits per pixel",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [17] */
				"rotation",
				pRotation,
				cRotation,
				"the default rotation for objects in the drawing area",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,	
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [18] */
				"scale",
				pScale,
				cFixed,
				"the default scaling for objects in the drawing area",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [19] */
				"writing code",
				pScriptTag,
				cIntlWritingCode,
				"the script system and language of text objects in the drawing area",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,		/*** Registry has this as modifiable ***/	
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [20] */
				"text color",
				pTextColor,
				cRGBColor,
				"the default color for text objects",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [21] */
				"default font",
				pTextFont,
				cIntlText,
				"the name of the default font for text objects",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [22] */
				"default size",
				pTextPointSize,
				cFixed,
				"the default size for text objects",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [23] */
				"style",
				pTextStyles,
				cTextStyles,
				"the default text style for text objects",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [24] */
				"transfer mode",
				pTransferMode,
				enumTransferMode,
				"the default transfer mode for graphic objects",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [25] */
				"translation",
				pTranslation,
				cQDPoint,
				"the default repositioning for objects in the drawing area",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [26] */
				"update on change",
				pUpdateOn,
				cBoolean,
				"Redraw after each change?",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 10 elements */
				/* [1] */
				cArc,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [2] */
				cGraphicLine,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [3] */
				cGraphicText,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [4] */
				cGroupedGraphic,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [5] */
				cOval,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [6] */
				cPixelMap,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [7] */
				cPolygon,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [8] */
				cRectangle,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [9] */
				cRoundedRectangle,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [10] */			/*** The Registry left this out this time. ***/
				cGraphicObject,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
			},
			"drawing areas",
			cDrawingArea,
			"Every drawing area",
			{	/* array Properties: 1 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [2] */
			"graphic group",
			cGroupedGraphic,
			"Group of graphics",
			{	/* array Properties: 10 elements */
				/* [1] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [2] */
				"bounds",
				pBounds,
				cQDRectangle,
				"the smallest rectangle that contains the entire graphic object",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [3] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [4] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [5] */
				"ordering",
				pGraphicObjects,
				typeObjectSpecifier,
				"the ordered list of graphic objects in the drawing area",
				reserved,
				listOfItems,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [6] */
				"name",
				pName,
				cIntlText,
				"the name",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [7] */
				"rotation",
				pRotation,
				cRotation,
				"the rotation",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,	
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [8] */
				"scale",
				pScale,
				cFixed,
				"the scaling",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [9] */
				"transfer mode",
				pTransferMode,
				enumTransferMode,
				"the transfer mode",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [10] */
				"translation",
				pTranslation,
				cQDPoint,
				"the translation",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 10 elements */
				/* [1] */
				cArc,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [2] */
				cGraphicLine,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [3] */
				cGraphicText,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [4] */
				cGroupedGraphic,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [5] */
				cOval,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [6] */
				cPixelMap,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [7] */
				cPolygon,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [8] */
				cRectangle,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [9] */
				cRoundedRectangle,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [10] */
				cGraphicObject,			/*** The Registry left this out this time. ***/
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				}
			},
			"graphic groups",
			cGroupedGraphic,
			"Every group of graphics",
			{	/* array Properties: 1 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 0 elements */
		},
		/* [6] */
		"Table Suite",
		"Classes for manipulating tables",
		kAETableSuite,
		1,
		1,
		{	/* array Events: 0 elements */
		},
		{	/* array Classes: 4 elements */
			/* [1] */
			"cell",
			cCell,
			"A cell",
			{	/* array Properties: 5 elements */
				/* [1] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [2] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [3] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [4] */
				"formula",
				pFormula,
				cText,
				"the formula of the cell",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [5] */
				"protection",
				pProtection,
				enumProtection,
				"Indicates whether value or formula in the cell can be changed",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 0 elements */
			},
			"cells",
			cCell,
			"Every cell",
			{	/* array Properties: 1 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [2] */
			"column",
			cColumn,
			"A column",
			{	/* array Properties: 5 elements */
				/* [1] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [2] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [3] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [4] */
				"name",
				pName,
				cIntlText,
				"the name",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [5] */
				"protection",
				pProtection,
				enumProtection,
				"Indicates whether the formulas of the cells in the column can be changed",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 1 elements */
				/* [1] */
				cCell,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				}
			},
			"columns",
			cColumn,
			"Every column",
			{	/* array Properties: 1 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [3] */
			"row",
			cRow,
			"A row",
			{	/* array Properties: 5 elements */
				/* [1] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [2] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [3] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [4] */
				"name",
				pName,
				cIntlText,
				"the name",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [5] */
				"protection",
				pProtection,
				enumProtection,
				"Indicates whether the formulas of the cells in the row can be changed",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 1 elements */
				/* [1] */
				cCell,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				}
			},
			"rows",
			cRow,
			"Every row",
			{	/* array Properties: 1 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
			/* [4] */
			"table",
			cTable,
			"A table",
			{	/* array Properties: 5 elements */
				/* [1] */
				"best type",
				pBestType,
				cType,
				"the best descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [2] */
				"class",
				pClass,
				cType,
				"the class",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [3] */
				"default type",
				pDefaultType,
				cType,
				"the default descriptor type",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [4] */
				"name",
				pName,
				cIntlText,
				"the name",
				reserved,
				singleItem,
				notEnumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
				/* [5] */
				"protection",
				pProtection,
				enumProtection,
				"Indicates whether the formulas of the cells in the table can be changed",
				reserved,
				singleItem,
				enumerated,
				readWrite,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				singlular,
			},
			{	/* array Elements: 3 elements */
				/* [1] */
				cCell,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [3] */
				cColumn,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
				/* [2] */
				cRow,
				{	/* array KeyForms: 2 elements */
					/* [1] */
					formAbsolutePosition,
					/* [2] */
					formName
				},
			},
			"tables",
			cTable,
			"Every table",
			{	/* array Properties: 1 elements */
				/* [1] */
				"class attributes",
				kAESpecialClassProperties,
				cType,
				"special class attributes",
				reserved,
				singleItem,
				notEnumerated,
				readOnly,
				reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved, reserved,
				notFeminine,
				notMasculine,
				plural
			},
			{	/* array Elements: 0 elements */
			},
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 1 elements */
			/* [1] */
			enumProtection,
			{	/* array Enumerators: 3 elements */
				/* [1] */
				"read only",
				kAENonmodifiable ,
				"Can't change values or formulas",
				/* [2] */
				"formulas protected",
				kAEFormulaProtect ,
				"Can changes values but not formulas",
				/* [3] */
				"read/write",
				kAEModifiable ,
				"Can change values and formulas"
			}
		}
	}
};


