/************************************************************

Created: 12:45 PM Fri, Dec 20, 1991
    AERegistry.h
    C Interface to the Apple Event Registry


        Copyright Apple Computer, Inc.    1991
        All rights reserved

************************************************************/


#ifndef __AERegistry__
#define __AERegistry__

/* === THE FOLLOWING ITEMS WERE MISSING FROM THE FILE AS DISTRIBUTED === */
#define typeEnumeration 'enum'
/* ===================================================================== */


#define cAEList 'list'
#define cApplication 'capp'
#define cArc 'carc'
#define cBoolean 'bool'
#define cCell 'ccel'
#define cChar 'cha '
#define cColorTable 'clrt'
#define cColumn 'ccol'
#define cDocument 'docu'
#define cDrawingArea 'cdrw'
#define cEnumeration 'enum'
#define cFile 'file'
#define cFixed 'fixd'
#define cGraphicLine 'glin'
#define cGraphicObject 'cgob'
#define cGraphicShape 'cgsh'
#define cGraphicText 'cgtx'
#define cGroupedGraphic 'cpic'
#define cInsertionLoc 'insl'
#define cIntlText 'itxt'
#define cIntlWritingCode 'intl'
#define cItem 'citm'
#define cLine 'clin'
#define cLongInteger 'long'
#define cMenu 'cmnu'
#define cMenuItem 'cmen'
#define cObject 'cobj'
#define cObjectSpecifier 'obj '
#define cOpenableObject 'coob'
#define cOval 'covl'
#define cParagraph 'cpar'
#define cPixel 'cpxl'
#define cPixelMap 'cpix'
#define cPolygon 'cpgn'
#define cQDPoint 'QDpt'
#define cQDRectangle 'qdrt'
#define cRectangle 'crec'
#define cRGBColor 'cRGB'
#define cRotation 'trot'
#define cRoundedRectangle 'crrc'
#define cRow 'crow'
#define cSelection 'csel'
#define cShortInteger 'shor'
#define cTable 'ctbl'
#define cText 'ctxt'
#define cTextFlow 'cflo'
#define cTextStyles 'tsty'
#define cType 'type'
#define cWindow 'cwin'
#define cWord 'cwor'
#define errAEBadKeyForm -10002
#define errAECantHandleClass -10010
#define errAECantSupplyType -10009
#define errAEEventFailed -10000
#define errAEIndexTooLarge -10007
#define errAEInTransaction -10011
#define errAELocalOnly -10016
#define errAENoSuchTransaction -10012
#define errAENotAnElement -10008
#define errAENotASingleObject -10014
#define errAENotModifiable -10003
#define errAENoUserSelection -10013
#define errAEPrivilegeError -10004
#define errAEReadDenied -10005
#define errAETypeError -10001
#define errAEWriteDenied -10006
#define kAEAbout 'abou'
#define kAEAfter 'afte'
#define kAEAliasSelection 'sali'
#define kAEAllCaps 'alcp'
#define kAEArrowAtEnd 'aren'
#define kAEArrowAtStart 'arst'
#define kAEArrowBothEnds 'arbo'
#define kAEAsk 'ask '
#define kAEBefore 'befo'
#define kAEBeginning 'bgng'
#define kAEBeginsWith 'bgwt'
#define kAEBeginTransaction 'begi'
#define kAEBold 'bold'
#define kAECaseSensEquals 'cseq'
#define kAECentered 'cent'
#define kAEChangeView 'view'
#define kAEClone 'clon'
#define kAEClose 'clos'
#define kAECondensed 'cond'
#define kAEContains 'cont'
#define kAECopy 'copy'
#define kAECoreSuite 'core'
#define kAECountElements 'cnte'
#define kAECreateElement 'crel'
#define kAECreatePublisher 'cpub'
#define kAECut 'cut '
#define kAEDelete 'delo'
#define kAEDoObjectsExist 'doex'
#define kAEDoScript 'dosc'
#define kAEDrag 'drag'
#define kAEDuplicateSelection 'sdup'
#define kAEEditGraphic 'edit'
#define kAEEmptyTrash 'empt'
#define kAEEnd 'end '
#define kAEEndsWith 'ends'
#define kAEEndTransaction 'endt'
#define kAEEquals '=   '
#define kAEExpanded 'pexp'
#define kAEFast 'fast'
#define kAEFinderEvents 'FNDR'
#define kAEFormulaProtect 'fpro'
#define kAEFullyJustified 'full'
#define kAEGetClassInfo 'qobj'
#define kAEGetData 'getd'
#define kAEGetDataSize 'dsiz'
#define kAEGetEventInfo 'gtei'
#define kAEGetInfoSelection 'sinf'
#define kAEGetPrivilegeSelection 'sprv'
#define kAEGreaterThan '>   '
#define kAEGreaterThanEquals '>=  '
#define kAEGrow 'grow'
#define kAEHidden 'hidn'
#define kAEHiQuality 'hiqu'
#define kAEImageGraphic 'imgr'
#define kAEInfo 11
#define kAEIsUniform 'isun'
#define kAEItalic 'ital'
#define kAELeftJustified 'left'
#define kAELessThan '<   '
#define kAELessThanEquals '<=  '
#define kAELowercase 'lowc'
#define kAEMain 0
#define kAEMakeObjectsVisible 'mvis'
#define kAEMiscStandards 'misc'
#define kAEModifiable 'modf'
#define kAEMove 'move'
#define kAENo 'no  '
#define kAENoArrow 'arno'
#define kAENonmodifiable 'nmod'
#define kAEOpen 'odoc'
#define kAEOpenSelection 'sope'
#define kAEOutline 'outl'
#define kAEPageSetup 'pgsu'
#define kAEPaste 'past'
#define kAEPlain 'plan'
#define kAEPrint 'pdoc'
#define kAEPrintSelection 'spri'
#define kAEPrintWindow 'pwin'
#define kAEPutAwaySelection 'sput'
#define kAEQDAddOver 'addo'
#define kAEQDAddPin 'addp'
#define kAEQDAdMax 'admx'
#define kAEQDAdMin 'admn'
#define kAEQDBic 'bic '
#define kAEQDBlend 'blnd'
#define kAEQDCopy 'cpy '
#define kAEQDNotBic 'nbic'
#define kAEQDNotCopy 'ncpy'
#define kAEQDNotOr 'ntor'
#define kAEQDNotXor 'nxor'
#define kAEQDOr 'or  '
#define kAEQDSubOver 'subo'
#define kAEQDSubPin 'subp'
#define kAEQDXor 'xor '
#define kAERedo 'redo'
#define kAERegular 'regl'
#define kAEReplace 'rplc'
#define kAERevealSelection 'srev'
#define kAERevert 'rvrt'
#define kAERightJustified 'rght'
#define kAESave 'save'
#define kAESetData 'setd'
#define kAESetPosition 'posn'
#define kAEShadow 'shad'
#define kAESharing 13
#define kAEShowClipboard 'shcl'
#define kAESleep 'slep'
#define kAESmallCaps 'smcp'
#define kAEStrikethrough 'strk'
#define kAESubscript 'sbsc'
#define kAESuperscript 'spsc'
#define kAETransactionTerminated 'ttrm'
#define kAEUnderline 'undl'
#define kAEUndo 'undo'
#define kAEWholeWordEquals 'wweq'
#define kAEYes 'yes '
#define kAEZoom 'zoom'
#define kByCommentView 6
#define kByDateView 3
#define kByIconView 1
#define kByKindView 5
#define kByLabelView 7
#define kByNameView 2
#define kBySizeView 4
#define kBySmallIcon 0
#define kByVersionView 8
#define keyAEAngle 'kang'
#define keyAEArcAngle 'kend'
#define keyAEBaseAddr 'badd'
#define keyAEBgndColor 'kbcl'
#define keyAEBgndPattern 'kbpt'
#define keyAEBounds 'kbnd'
#define keyAECellList 'kclt'
#define keyAEClassID 'clID'
#define keyAEColor 'kclr'
#define keyAEColorTable 'kcls'
#define keyAECurveHeight 'kchd'
#define keyAECurveWidth 'kcwd'
#define keyAEDashStyle 'dsty'
#define keyAEData 'data'
#define keyAEDefinitionRect 'kdef'
#define keyAEDescType 'dstp'
#define keyAEDestination 'dest'
#define keyAEDoAntiAlias 'anta'
#define keyAEDoDithered 'gdit'
#define keyAEDoRotate 'kdrt'
#define keyAEDoScale 'ksca'
#define keyAEDoTranslate 'ktra'
#define keyAEEditionFileLoc 'eloc'
#define keyAEElements 'elms'
#define keyAEEndPoint 'kedp'
#define keyAEEventClass 'evcl'
#define keyAEEventID 'evti'
#define keyAEFile 'kfil'
#define keyAEFileType 'fltp'
#define keyAEFillColor 'kfcl'
#define keyAEFillPattern 'kfpt'
#define keyAEFlipHorizontal 'kfho'
#define keyAEFlipVertical 'kfvt'
#define keyAEFont 'kfnt'
#define keyAEFormula 'kfla'
#define keyAEGraphicObjects 'kgrs'
#define keyAEImageQuality 'gqua'
#define keyAEInsertHere 'insh'
#define keyAEKeyForms 'keyf'
#define keyAEKeyword 'kywd'
#define keyAELineArrow 'lnar'
#define keyAEName 'knam'
#define keyAENewElementLoc 'knel'
#define keyAEObject 'kobj'
#define keyAEObjectClass 'kocl'
#define keyAEOffStyles 'ofst'
#define keyAEOnStyles 'onst'
#define keyAEParameters 'prms'
#define keyAEParamFlags 'pmfg'
#define keyAEPenColor 'kpcl'
#define keyAEPenPattern 'kpat'
#define keyAEPenWidth 'kpwd'
#define keyAEPixelDepth 'kpdp'
#define keyAEPixMapMinus 'kpmm'
#define keyAEPMTable 'kpmt'
#define keyAEPointList 'kpts'
#define keyAEPointSize 'kptz'
#define keyAEPosition 'kpos'
#define keyAEPropData 'prdt'
#define keyAEProperties 'qpro'
#define keyAEProperty 'kprp'
#define keyAEPropFlags 'prfg'
#define keyAEPropID 'prop'
#define keyAEProtection 'kptc'
#define keyAERenderAs 'kren'
#define keyAERequestedType 'rtyp'
#define keyAEResult '----'
#define keyAEResultInfo 'rsin'
#define keyAERotation 'krot'
#define keyAERotPoint 'krtp'
#define keyAERowList 'krls'
#define keyAESaveOptions 'savo'
#define keyAEScale 'kscl'
#define keyAEScriptTag 'kStg'
#define keyAEShowWhere 'show'
#define keyAEStartAngle 'ksta'
#define keyAEStartPoint 'kstr'
#define keyAEStyles 'ksty'
#define keyAEText 'ktxt'
#define keyAETextColor 'ktxc'
#define keyAETextFont 'ktxf'
#define keyAETextPointSize 'ktps'
#define keyAETextStyles 'txts'
#define keyAETheText 'thtx'
#define keyAETransferMode 'ktrn'
#define keyAETranslation 'ktrl'
#define keyAETryAsStructGraf 'toog'
#define keyAEUniformStyles 'unis'
#define keyAEUpdateOn 'kupd'
#define keyAEUserTerm 'utrm'
#define keyAEWindow 'wndw'
#define keyAEWritingCode 'wrcd'
#define keyMiscellaneous 'fmsc'
#define keySelection 'fsel'
#define keyWindow 'kwnd'
#define pArcAngle 'parc'
#define pBackgroundColor 'pbcl'
#define pBackgroundPattern 'pbpt'
#define pBestType 'pbst'
#define pBounds 'pbnd'
#define pClass 'pcls'
#define pClipboard 'pcli'
#define pColor 'colr'
#define pColorTable 'cltb'
#define pCornerCurveHeight 'pchd'
#define pCornerCurveWidth 'pcwd'
#define pDashStyle 'pdst'
#define pDefaultType 'deft'
#define pDefinitionRect 'pdrt'
#define pEnabled 'enbl'
#define pEndPoint 'pend'
#define pFillColor 'flcl'
#define pFillPattern 'flpt'
#define pFont 'font'
#define pFormula 'pfor'
#define pGraphicObjects 'gobs'
#define pHasCloseBox 'hclb'
#define pHasTitleBar 'ptit'
#define pIndex 'pidx'
#define pInsertionLoc 'pins'
#define pIsFloating 'isfl'
#define pIsFrontProcess 'pisf'
#define pIsModal 'pmod'
#define pIsModified 'imod'
#define pIsResizable 'prsz'
#define pIsStationeryPad 'pspd'
#define pIsZoomable 'iszm'
#define pIsZoomed 'pzum'
#define pItemNumber 'itmn'
#define pJustification 'pjst'
#define pLineArrow 'arro'
#define pMenuID 'mnid'
#define pName 'pnam'
#define pNewElementLoc 'pnel'
#define pPenColor 'ppcl'
#define pPenPattern 'pppa'
#define pPenWidth 'ppwd'
#define pPixelDepth 'pdpt'
#define pPointList 'ptlt'
#define pPointSize 'ptsz'
#define pProtection 'ppro'
#define pRotation 'prot'
#define pScale 'pscl'
#define pScriptTag 'psct'
#define pSelection 'sele'
#define pStartAngle 'pang'
#define pStartPoint 'pstp'
#define pTextColor 'ptxc'
#define pTextFont 'ptxf'
#define pTextItemDelimiters 'txdl'
#define pTextPointSize 'ptps'
#define pTextStyles 'txst'
#define pTransferMode 'pptm'
#define pTranslation 'ptrs'
#define pUniformStyles 'ustl'
#define pUpdateOn 'pupd'
#define pUserSelection 'pusl'
#define pVersion 'vers'
#define pVisible 'pvis'
#define typeAEText 'tTXT'
#define typeAppleEvent 'AEVT'
#define typeArc 'tarc'
#define typeBest 'best'
#define typeCell 'cell'
#define typeClassInfo 'clin'
#define typeColorTable 'clrt'
#define typeColumn 'colm'
#define typeDashStyle 'tdas'
#define typeData 'tdta'
#define typeDrawingArea 'tdar'
#define typeElemInfo 'elin'
#define typeEPS 'EPS '
#define typeEventInfo 'evin'
#define typeFinderWindow 'fwin'
#define typeFixed 'fixd'
#define typeGraphicLine 'tgln'
#define typeGraphicText 'gtxt'
#define typeGroupedGraphic 'tgru'
#define typeInsertionLoc 'insl'
#define typeIntlText 'itxt'
#define typeIntlWritingCode 'intl'
#define typeOval 'tovl'
#define typeParamInfo 'pmin'
#define typePict 'PICT'
#define typePixelMap 'tpix'
#define typePixMapMinus 'tpmm'
#define typePolygon 'tpol'
#define typePropInfo 'pinf'
#define typeQDPoint 'QDpt'
#define typeQDRectangle 'qdrt'
#define typeRectangle 'rcte'
#define typeRGB16 'tr16'
#define typeRGB96 'tr96'
#define typeRGBColor 'RGB '
#define typeRotation 'trot'
#define typeRoundedRectangle 'trdr'
#define typeRow 'row '
#define typeScrapStyles 'styl'
#define typeStyledText 'STXT'
#define typeTable 'tabl'
#define typeTextStyles 'tsty'
#define typeTIFF 'TIFF'
#define zoomIn 7
#define zoomOut 8

#endif