#-------------------------------------------------------------------------------------------
#
#	Program:	CPlusTESample 2.0AE
#	File:		TESample.make
#
#	by Andrew Shebanow
#	of Apple Macintosh Developer Technical Support
#	with modifications by Eric Berdahl
#
#	Copyright  1989-1990 Apple Computer, Inc.
#	Copyright  1992 Eric Berdahl.
#	All rights reserved.
#
#
#	Tested with MPW 3.2
#
#-------------------------------------------------------------------------------------------

SrcDir = :
ObjDir = :ObjectFiles:


# turn on debugging code
DebugOpts = -d DEBUG=1
#DebugOpts = -d DEBUG=0

# turn on SADE symbols
SymOpts = -sym on


#-------------------------------------------------------------------------------------------
#	C++ options
CPlusOptions = {SymOpts} {DebugOpts}  -mbg off -mf
POptions = {SymOpts} -mbg off

#	Libraries to link with
MPWCLibs = 
		"{Libraries}"Runtime.o 
		"{CLibraries}"CPlusLib.o 
		"{CLibraries}"StdCLib.o 
		"{Libraries}"Interface.o
#-------------------------------------------------------------------------------------------

AELibObjs =	
	"{ObjDir}"UAppleObject.cp.o 
	"{SrcDir}"AEObjectSupportLib.o

AELibSrcs =	
	UAppleObject.cp

AELibHdrs =	
	UAppleObject.h

AppLibObjs =	
	"{ObjDir}"Application.cp.o 
	"{ObjDir}"Document.cp.o 
	"{ObjDir}"List.cp.o

AppLibSrcs =	
	Application.cp 
	Document.cp 
	List.cp

AppLibHdrs =	
	AppLib.h 
	Application.h 
	Document.h 
	List.h

Objs =	
	"{ObjDir}"TEDocument.cp.o 
	"{ObjDir}"TESample.cp.o 
	"{ObjDir}"TESampleGlue.a.o

Srcs =	
	TEDocument.cp 
	TESample.cp 
	TESampleGlue.a

Hdrs =	
	TECommon.h 
	TEDocument.h 
	TESample.h

FailLibObjs = 
	"{ObjDir}"UMAFailure.p.o 
	"{ObjDir}"UMAFailure.a.o 
	"{ObjDir}"Exceptions.cp.o

FailLibSrcs = 
	UMAFailure.p 
	UMAFailure.inc1.p 
	UMAFailure.a 
	Exceptions.cp

FailLibHdrs = 
	UMAFailure.h 
	Exceptions.h

TESample  "{ObjDir}"AppLib.o "{ObjDir}"AELib.o "{ObjDir}"Failure.o {Objs}
	Link -mf -w -o {Targ} {SymOpts} 
		{Objs} 
		"{ObjDir}"AppLib.o 
		"{ObjDir}"AELib.o 
		"{ObjDir}"Failure.o 
		{MPWCLibs}
	SetFile {Targ} -t APPL -c 'MOOT' -a B

TESample  TESample.r TECommon.h
	Rez -append -o {Targ} TESample.r -i "{RIncludes}"

TESample  AppLib.r AppLib.h
	Rez -append -o {Targ} AppLib.r -i "{RIncludes}"

# if ANY headers change, recompile all of our shapesapp sources
{Objs}  {Hdrs} {AppLibHdrs} {FailLibHdrs} {AELibHdrs}

# if AppLib headers change, recompile AppLib Objects
{AppLibObjs}  {AppLibHdrs} {FailLibHdrs} {AELibHdrs}

{AELibObjs}  {AELibHdrs} {FailLibHdrs}

"{ObjDir}"AppLib.o  {AppLibObjs}
	Lib -d -o {Targ} {SymOpts} {AppLibObjs}

"{ObjDir}"Failure.o  {FailLibObjs}
	Lib -d {FailLibObjs} -o {Targ}

"{ObjDir}"AELib.o  {AELibObjs}
	Lib -d -o {Targ} {SymOpts} {AELibObjs}

"{ObjDir}"UMAFailure.p.o  UMAFailure.p UMAFailure.inc1.p

"{ObjDir}"ProgStrucMacs.d  "{MPW}Interfaces:AStructMacs:"ProgStrucMacs.a
	Asm "{MPW}Interfaces:AStructMacs:"ProgStrucMacs.a -o {Targ}

"{ObjDir}"FlowCtlMacs.d  "{MPW}Interfaces:AStructMacs:"FlowCtlMacs.a
	Asm "{MPW}Interfaces:AStructMacs:"FlowCtlMacs.a -o {Targ}

"{ObjDir}"UMAFailure.a.o  UMAFailure.a "{ObjDir}"ProgStrucMacs.d "{ObjDir}"FlowCtlMacs.d
	Asm {depDir}UMAFailure.a -o {Targ} {AOptions}

"{ObjDir}"  "{SrcDir}"